### Function Macro

# Gm str_is_null_or_empty

since: 0.0.5

#### Declaration [src]

    #define gm_str_is_null_or_empty (
      x
    )

#### Description [src]

Convenience macro to check if a given string is `NULL` or empty. Evaluates to a truth value if `x` is `NULL` or `x` is the empty string otherwise `FALSE`.

Available since: 0.0.5

This function is not directly available to language bindings.

#### Parameters

`x`

  Type: `-`

  A null terminated string.